Loading...
Searching...
No Matches
juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness > Struct Template Reference

## Detailed Description

template<class DestSampleType, class SourceSampleType, class SourceEndianness>
struct juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >

Used by AudioFormatReader subclasses to copy data to different formats.

The documentation for this struct was generated from the following file:

- juce_audio_formats/format/juce_AudioFormatReader.h

## Public Types

using | DestType = AudioData::Pointer<DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst>
using | SourceType = AudioData::Pointer<SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const>

## Static Public Member Functions

template<typename TargetType>
static void | read (TargetType *const *destData, int destOffset, int numDestChannels, const void *sourceData, int numSourceChannels, int numSamples) noexcept

## Member Typedef Documentation

## DestType

template<class DestSampleType, class SourceSampleType, class SourceEndianness>

using juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::DestType = AudioData::Pointer<DestSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::NonConst>

## SourceType

template<class DestSampleType, class SourceSampleType, class SourceEndianness>

using juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::SourceType = AudioData::Pointer<SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const>

## Member Functions

## read()

template<class DestSampleType, class SourceSampleType, class SourceEndianness>
template<typename TargetType>

void juce::AudioFormatReader::ReadHelper< DestSampleType, SourceSampleType, SourceEndianness >::read | ( | TargetType *const * | destData,
|  | int | destOffset,
|  | int | numDestChannels,
|  | const void * | sourceData,
|  | int | numSourceChannels,
|  | int | numSamples )

inline static noexcept

References juce::addBytesToPointer(), juce::AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::clearSamples(), juce::AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >::convertSamples(), and juce::AudioData::Pointer< SourceSampleType, SourceEndianness, AudioData::Interleaved, AudioData::Const >::getBytesPerSample().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited